#include <Servo.h>

Servo servo;

int delay_t = 500;

void setup() {
  Serial.begin(9600);
  
  Serial.println("");
  Serial.println("Test servo...");
  servo.attach(D1);
  Serial.println("Initial position...");
  
  Serial.println("Servo ready!");
}

void loop() {
  int break_line = 0;
  int speed_move = 2;
  //int curr = 90;
  int min_v = 60, max_v = 130; //limits servo up/down
  //int min_v = 60, max_v = 110; //limits servo front/back
  //int min_v = 50, max_v = 140; //limits servo wrist
  //int min_v = 75, max_v = 110; //limits servo catcher
  int curr = servo.read();
  Serial.print("curr: ");
  Serial.println(curr);
  
  Serial.println("\nmove up");
  for (; curr <= max_v; curr += speed_move) {
    servo.write(curr);
    delay(delay_t);
    Serial.print(".");
    Serial.print(curr);
    break_line++;
    if(break_line%10 == 0){
      Serial.println("");
    }
  }
  delay(delay_t*2);
  Serial.println("\nmove down");
  for (; curr > min_v; curr -= speed_move) {
    servo.write(curr);
    delay(delay_t);
    Serial.print(".");
    Serial.print(curr);
    break_line++;
    if(break_line%10 == 0){
      Serial.println("");
    }
  }
}
